/**
 * 获取请求地址
 */
export const getEnvBaseUrl = () => {
  const baseUrl = import.meta.env.VITE_SERVER_BASEURL

  return baseUrl
}

/**
 * 获取文件上传地址
 */
export const getEnvBaseUploadUrl = () => {
  // 请求基准地址
  const baseUploadUrl = import.meta.env.VITE_UPLOAD_BASEURL

  return baseUploadUrl
}

export const formattedDate = (tims: number): string => {
  if (!tims) return '' // 如果没有选择日期，返回空字符串

  const date = new Date(tims) // 将时间戳转换为 Date 对象

  const year = date.getFullYear()
  const month = String(date.getMonth() + 1).padStart(2, '0') // 月份从 0 开始，+1
  const day = String(date.getDate()).padStart(2, '0')
  const hour = String(date.getHours()).padStart(2, '0')
  const minute = String(date.getMinutes()).padStart(2, '0')

  // 格式化为 yyyy-mm-dd hh:mm
  return `${year}-${month}-${day} ${hour}:${minute}`
}
